cascading.flow.planner.rule.partitioner

## Class ExpressionRulePartitioner

- java.lang.Object
- - cascading.flow.planner.rule.RulePartitioner
  - - cascading.flow.planner.rule.partitioner.ExpressionRulePartitioner

- All Implemented Interfaces:
    Rule
  Direct Known Subclasses:
    UniquePathRulePartitioner

      public class ExpressionRulePartitioner
      extends RulePartitioner

  Class ExpressionRulePartitioner relies on a `RuleExpression` to identify sub-graphs as partitions.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.rule.RulePartitioner

      `RulePartitioner.PartitionSource`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.RulePartitioner

      `graphPartitioner, logLevel, partitionSource, phase`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExpressionRulePartitioner()`
    `protected` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase)`
    `protected` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, GraphPartitioner graphPartitioner)`
    `` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression)`
    `` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression, ElementAnnotation... annotations)`
    `` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression, java.lang.Enum... annotationExcludes)`
    `` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, RulePartitioner.PartitionSource partitionSource, RuleExpression ruleExpression)`
    `` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, RulePartitioner.PartitionSource partitionSource, RuleExpression ruleExpression, ElementAnnotation... annotations)`
    `` | `ExpressionRulePartitioner(LogLevel logLevel, PlanPhase phase, RulePartitioner.PartitionSource partitionSource, RuleExpression ruleExpression, java.lang.Enum... annotationExcludes)`
    `protected` | `ExpressionRulePartitioner(PlanPhase phase)`
    `protected` | `ExpressionRulePartitioner(PlanPhase phase, GraphPartitioner graphPartitioner)`
    `` | `ExpressionRulePartitioner(PlanPhase phase, RuleExpression ruleExpression)`
    `` | `ExpressionRulePartitioner(PlanPhase phase, RuleExpression ruleExpression, ElementAnnotation... annotations)`
    `` | `ExpressionRulePartitioner(PlanPhase phase, RuleExpression ruleExpression, java.lang.Enum... annotationExcludes)`
    `` | `ExpressionRulePartitioner(PlanPhase phase, RulePartitioner.PartitionSource partitionSource, RuleExpression ruleExpression)`
    `` | `ExpressionRulePartitioner(PlanPhase phase, RulePartitioner.PartitionSource partitionSource, RuleExpression ruleExpression, ElementAnnotation... annotations)`
    `` | `ExpressionRulePartitioner(PlanPhase phase, RulePartitioner.PartitionSource partitionSource, RuleExpression ruleExpression, java.lang.Enum... annotationExcludes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionRulePartitioner` | `addAnnotation(ElementAnnotation annotation)`
    `RulePartitioner` | `addAnnotationExclude(java.lang.Enum exclude)`
    `protected ExpressionGraphPartitioner` | `createExpressionGraphPartitioner(ExpressionGraph contractionGraph, ExpressionGraph expressionGraph, ElementAnnotation[] annotations)`
    `java.lang.Enum[]` | `getAnnotationExcludes()`
    `void` | `setAnnotationExcludes(java.lang.Enum... annotationExcludes)`
    `RulePartitioner` | `setAnnotations(ElementAnnotation... annotations)`
    `protected ExpressionRulePartitioner` | `setPhase(PlanPhase phase)`
    `ExpressionRulePartitioner` | `setRuleExpression(RuleExpression ruleExpression)`

    - ### Methods inherited from class cascading.flow.planner.rule.RulePartitioner

      `getGraphPartitioner, getPartitionSource, getRuleName, getRulePhase, partition, partition, performPartition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(PlanPhase phase,
                                   RuleExpression ruleExpression)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(PlanPhase phase,
                                   RuleExpression ruleExpression,
                                   ElementAnnotation... annotations)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(PlanPhase phase,
                                   RuleExpression ruleExpression,
                                   java.lang.Enum... annotationExcludes)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(PlanPhase phase,
                                   RulePartitioner.PartitionSource partitionSource,
                                   RuleExpression ruleExpression)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(PlanPhase phase,
                                   RulePartitioner.PartitionSource partitionSource,
                                   RuleExpression ruleExpression,
                                   ElementAnnotation... annotations)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(PlanPhase phase,
                                   RulePartitioner.PartitionSource partitionSource,
                                   RuleExpression ruleExpression,
                                   java.lang.Enum... annotationExcludes)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   RuleExpression ruleExpression)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   RuleExpression ruleExpression,
                                   ElementAnnotation... annotations)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   RuleExpression ruleExpression,
                                   java.lang.Enum... annotationExcludes)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   RulePartitioner.PartitionSource partitionSource,
                                   RuleExpression ruleExpression)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   RulePartitioner.PartitionSource partitionSource,
                                   RuleExpression ruleExpression,
                                   ElementAnnotation... annotations)

    - #### ExpressionRulePartitioner

          public ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   RulePartitioner.PartitionSource partitionSource,
                                   RuleExpression ruleExpression,
                                   java.lang.Enum... annotationExcludes)

    - #### ExpressionRulePartitioner

          protected ExpressionRulePartitioner(PlanPhase phase,
                                   GraphPartitioner graphPartitioner)

    - #### ExpressionRulePartitioner

          protected ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase,
                                   GraphPartitioner graphPartitioner)

    - #### ExpressionRulePartitioner

          protected ExpressionRulePartitioner(PlanPhase phase)

    - #### ExpressionRulePartitioner

          protected ExpressionRulePartitioner(LogLevel logLevel,
                                   PlanPhase phase)

    - #### ExpressionRulePartitioner

          protected ExpressionRulePartitioner()

  - ### Method Detail

    - #### createExpressionGraphPartitioner

          protected ExpressionGraphPartitioner createExpressionGraphPartitioner(ExpressionGraph contractionGraph,
                                                                    ExpressionGraph expressionGraph,
                                                                    ElementAnnotation[] annotations)

    - #### setPhase

          protected ExpressionRulePartitioner setPhase(PlanPhase phase)

    - #### setRuleExpression

          public ExpressionRulePartitioner setRuleExpression(RuleExpression ruleExpression)

    - #### addAnnotation

          public ExpressionRulePartitioner addAnnotation(ElementAnnotation annotation)

    - #### setAnnotations

          public RulePartitioner setAnnotations(ElementAnnotation... annotations)

    - #### setAnnotationExcludes

          public void setAnnotationExcludes(java.lang.Enum... annotationExcludes)

    - #### addAnnotationExclude

          public RulePartitioner addAnnotationExclude(java.lang.Enum exclude)

    - #### getAnnotationExcludes

          public java.lang.Enum[] getAnnotationExcludes()

      Specified by:
        `getAnnotationExcludes` in class `RulePartitioner`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.